﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Arcanum
{
    public enum ItemProperty
    {
        Unknown = 0,
        LifePercent = 1,
        Armor = 2,
        CritcalHitChance = 3,
        CritcalHitDamage = 4,
        SkillDamage = 5,
        LifePerSpirit = 6,
        Dexterity = 7,
        Strength = 8,
        Intelligence = 9,
        Vitality = 10,
        AreaDamage = 11,
        Cooldown = 12,
        ResourceCost = 13,
        Durability = 14,
        ResistPhysical = 15,
        ResistCold = 16,
        ResistFire = 17,
        ResistLightning = 18,
        ResistArcane = 19,
        ResistPoison = 20,
        ExtraGold = 21,
        AttackersTakeDamage = 22,
        HealthPickup = 23,
        ChanceToChill = 24,
        IgnoresDurability = 25,
        PotionsGrantHealth = 26,
        LevelRequirement = 27,
        MovementSpeed = 28,
        ResistAll = 29,
        MonsterKillsGrantExp = 30,
        ChanceToImmobilize = 31,
        ChanceToBlind = 32,
        ReduceControlEffects = 33,
        ColdSkills = 34,
        FireSkills = 35,
        HolySkills = 36,
        LightningSkills = 37,
        PoisonSkills = 38,
        PhysicalSkills = 39,
        WrathRegen = 40,
        AttackSpeed = 41,
        LifePerHit = 42,
        DamageFromElites = 43,
        ChanceToBleed = 44,
        HatredRegen = 45,
        Sockets = 46,
        BaseDamage = 47,
        LifePerWrath = 48,
        DamageAgainstElites,
        LifePerFury,
        SpiritRegen,
        MaximumWrath,
        LifeAfterKill,
        MaximumMana,
        MaximumArcane,
        DamageFromMelee,
        DamageFromRanged,
        MaximumSpirit,
        MaximumFury,
        ChanceToBlock,
        ChanceToFear,
        ChanceToStun,
        ChanceToFreeze,
        ChanceToSlow,
        ChanceToKnockback,
        RegenerateLifePerSecond,
        MaximumDiscipline,
        CriticalHitsGrantArcane,
        ArcaneSkills,
        ManaRegen,
        PercentDamage,
        Ancient,
    }
}
